package com.ruoyi.voluntary.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 志愿锁分对象 b_busi_score_lock
 *
 * @author voluntary
 * @date 2022-11-29
 */
public class BusiScoreLock extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 省份 */
    @Excel(name = "省份")
    private String provinceName;

    /** 开始时间 */
    @Excel(name = "开始时间")
    private String startDate;

    /** 结束时间 */
    @Excel(name = "结束时间")
    private String endDate;

    /** 是否生效(0:否,1:是) */
    @JsonProperty("isValid")
    @Excel(name = "是否生效(0:否,1:是)")
    private Integer isValid;
    @JsonProperty("isMock")

    private Integer isMock;

    public Integer getIsMock() {
        return isMock;
    }

    public void setIsMock(Integer isMock) {
        this.isMock = isMock;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public BusiScoreLock setProvinceName(String provinceName)
    {
        this.provinceName = provinceName;
        return this;
    }

    public String getProvinceName()
    {
        return provinceName;
    }
    public void setStartDate(String startDate)
    {
        this.startDate = startDate;
    }

    public String getStartDate()
    {
        return startDate;
    }
    public void setEndDate(String endDate)
    {
        this.endDate = endDate;
    }

    public String getEndDate()
    {
        return endDate;
    }
    public BusiScoreLock setIsValid(Integer isValid)
    {
        this.isValid = isValid;
        return this;
    }

    public Integer getIsValid()
    {
        return isValid;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("provinceName", getProvinceName())
                .append("startDate", getStartDate())
                .append("endDate", getEndDate())
                .append("isValid", getIsValid())
                .toString();
    }
}
